NAUTY-GENSPECIALG(1)

NAME
nauty-genspecialg - generate special graphs

SYNOPSIS
genspecialg [-s|-g|-z|-d|-v] [-q] [graph options]... [outfile]

DESCRIPTION

    Generate special graphs.

OPTIONS

  General Options:

-s : Write in sparse6 format (default)

-g : Write in graph6 format

-z : Make digraph versions and write in digraph6 format

-d : Write in dreadnaut format (can be used with -z)

-v : For each graph, report the size to stderr

-q : Suppress summary

  Special Options:

    If defined, the digraph version is shown in parentheses; # size parameter called n in the descriptions.

-p# : path (directed path) on n vertices

-c# : cycle (directed cycle) on n vertices

-e# : empty graph (digraph with loops only) on n vertices

-k# : complete graph (with loops) on n vertices

-b#,#[,#] : complete bipartite graph (directed l->r) on n vertices

    minus a matching of given size if present

-m#,#... : multipartite graph

-a# : antiprism (directed antiprism) on 2n

-l# : moebius ladder (directed cycle, undirected rungs) with # vertices

-D#,# : de Bruijn graph (digraph). D(m,t) has order m^t

-w# : wheel with # spokes (directed out from hub)

-f# : flower snark on 4n vertices

-L# : triangular graph, the linegraph of K_n

-P#,# : generalized Petersen graph; usual one is -P5,2

-Q#  -Q#,#
    : hypercube on 2^n vertices. Q(n,t) has vertices {0,1}^n and edges for hamming distance t. t=1 is default.

-A# : connected antiregular graph on n vertices

-J#,# : Johnson graph J(n,k), args are n and k

-K#,# -K#,#,# : Generalized Kneser graph. K(n,k,t) is graph of k-subsets

    of an n-set whose intersection is t. Default for t is 0.

-C#[,#] : circulant (di)graph; first arg is the number of vertices

-T#[,#] : theta (di)graph Theta(#,#,...), give path lengths

-G#[,#] : (directed) grid, use negative values for open directions

-Y# : Paley graph or digraph, depending on size. Nondeterministic.

-X# : produce a named graph, # can be an index or a partial name.

    Use genspecialg --Xhelp for a list.

    Any number of graphs can be generated at once.